Subject: Test that every revision builds before pushing changes?

From: Daniel Pittman <[email-masked]>
Date: Thu, 26 Mar 2009 17:29:58 +1100

G'day.

I would like to ensure that my commits are fully bisectable before I
commit them to an upstream repository, at least to the limits of an
automatic tool for testing them.

'git bisect run' is similar: it can automatically locate the breaking in
a test suite, for example, but that doesn't help me in the case of three
commits, A (good), B (bad) and C (good, fixing B).

I would much rather, in this case, use rebase to fix B so that it, too,
builds before I push the changes and pollute a public repository with a
broken changeset — and make bisect that much harder to use in future.

Regards,
        Daniel